salt_grains_file:
  file.managed:
    - user: root
    - mode: '0644'
    - template: jinja
    - names:
      - /etc/salt/grains:
        - source: salt:///{{ slspath }}/files/etc/salt/grains.j2

salt_restart_minion:
  cmd.run:
    - name: 'salt-call service.restart salt-minion'
    - bg: True
    - onchanges:
      - file: salt_grains_file
