{% set roles = salt['grains.get']('roles', []) %}
{% set id = salt['grains.get']('id') %}

{{ saltenv }}:
  '*':
    - common
  {% for role in roles %}
  'roles:{{ role }}':
    - match: grain
    - role.{{ role }}
  {%- endfor %}
  '{{ id }}':
    - id.{{ id.replace('.', '_') }}
